local bigtallwall = ...

-- Register crenation model asset
bigtallwall:registerAssetId("models/crenation3.fbx/Prefab", "BIGTALLWALL_CRENATION_PREFAB")

bigtallwall:registerAssetId("models/CastleTexture01.png", "TEXTURE_BIGTALLWALL")

-- Register new material for the wall texture
bigtallwall:register({
	DataType = "MATERIAL",
	Id = "MATERIAL_BIGTALLWALL",
	HasAlphaTest = false,
	AlbedoTexture = "TEXTURE_BIGTALLWALL"
})

-- Register the wall asset
bigtallwall:register({
	DataType = "WALL_CONFIG",
	Id = "TEXT_BIGTALLWALLNAME",
	WallConfigName = "TEXT_BIGTALLWALLNAME",
	IsManuallyUnlocked = false,
	Material = "MATERIAL_BIGTALLWALL",
	MaterialTop = "MATERIAL_BIGTALLWALL",
	Crenation = "BIGTALLWALL_CRENATION_PREFAB",
	CrenationDistance = 3.0,
	StepLength = 6.5,
	Width = 3,
	Height = 16.5,
	UvTillingWall = 0.2,
	UvTillingTop = 0.2,
	WallOffsetY = 0,
	CrenationOffsetY = 15.7,
	CrenationOffsetZ = 2.65
})
